libnids-dev_1.23-2_i386.deb


Advertisement

Description

libnids-dev - IP defragmentation TCP segment reassembly library (development)

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnids-dev
Package version: 1.23
Package release: 2
Package architecture: i386
Package type: deb
Installed size: 216 B
Download size: 71.96 KB
Official Mirror: ftp.br.debian.org
Libnids is a library that provides the functionality of one of the NIDS (Network Intrusion Detection System) components, namely E-component. Libnids code watches all local network traffic, cooks received datagrams a bit, and provides convenient information about them to the NIDS analyzing modules. Libnids performs assembly of TCP segments into TCP streams, IP defragmentation, and TCP port scan detection.

Alternatives

    Download

    Source package: libnids

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnids-dev deb package:
      # sudo apt-get install libnids-dev

    Files

    • /usr/include/nids.h
    • /usr/lib/libnids.a
    • /usr/lib/libnids.so
    • /usr/share/doc/libnids-dev/API.html
    • /usr/share/doc/libnids-dev/API.txt.gz
    • /usr/share/doc/libnids-dev/CHANGES.gz
    • /usr/share/doc/libnids-dev/CREDITS.gz
    • /usr/share/doc/libnids-dev/MISC
    • /usr/share/doc/libnids-dev/NEW_LIBPCAP
    • /usr/share/doc/libnids-dev/PATCH
    • /usr/share/doc/libnids-dev/README
    • /usr/share/doc/libnids-dev/TESTS.gz
    • /usr/share/doc/libnids-dev/bugtraq_post.gz
    • /usr/share/doc/libnids-dev/changelog.Debian.gz
    • /usr/share/doc/libnids-dev/changelog.gz
    • /usr/share/doc/libnids-dev/copyright
    • /usr/share/doc/libnids-dev/samples/Makefile
    • /usr/share/doc/libnids-dev/samples/Makefile.in
    • /usr/share/doc/libnids-dev/samples/chksum_ctl.c
    • /usr/share/doc/libnids-dev/samples/nids_next.c
    • /usr/share/doc/libnids-dev/samples/overflows.c.gz
    • /usr/share/doc/libnids-dev/samples/printall.c
    • /usr/share/doc/libnids-dev/samples/sniff.c
    • /usr/share/man/man3/libnids.3.gz

    Changelog

    2010-07-20 - Vasilis Pappas <vpappas@gmail.com> libnids (1.23-2) unstable; urgency=high * Update my email address (closes: #574042).

    2010-06-20 - Nico Golde <nion@debian.org> libnids (1.23-1.2) unstable; urgency=high * Non-maintainer upload by the Security Team. * Fix NULL ptr dereference in src/ip_fragment.c which can be used to cause denial of service conditiions with applications using this library (Closes: #576281).

    2009-12-21 - David Paleino <dapal@debian.org> libnids (1.23-1.1) unstable; urgency=low * Non-maintainer upload. * Fix FTBFS with GCC 4.4, thanks to Martin Michlmayr (Closes: #504824)

    2008-06-16 - Vasilis Pappas <vpappas@ics.forth.gr> libnids (1.23-1) unstable; urgency=low * New upstream release. Closes: #474575. * Added the samples directory to /usr/share/doc/libnids-dev. * Added code to bypass checksum calculation in the printall sample. * Fixed debian/watch file. Closes: #449806.

    2006-12-05 - Vasilis Pappas <vpappas@ics.forth.gr> libnids (1.21-1) unstable; urgency=low * New Maintainer. Closes: #390827.

    2006-11-08 - Anibal Monsalve Salazar <anibal@debian.org> libnids (1.21-0) unstable; urgency=low * QA upload. * New upstream release. * Set debhelper compatibility to 5. * Added debian/watch file. * Added homepage to description. * Fixed incorrect function return type in the manpage (Closes: #388531). Patch by Piotr Engelking <inkerman42@gmail.com>.

    2006-10-15 - Michael Ablassmeier <abi@debian.org> libnids (1.20-4) unstable; urgency=low * QA upload. * Set Maintainer to QA Group; Orphaned: #390827 * Remove config.log on clean * Conforms with latest Standards Version 3.7.2

    2004-08-15 - Matt Kraai <kraai@debian.org> libnids (1.18-2.1) unstable; urgency=low * Non-maintainer upload with maintainer permission. * Build-depend on libpcap0.8-dev instead of libpcap-dev (closes: #262172).

    2004-03-26 - Domenico Andreoli <cavok@debian.org> libnids (1.18-1.1) unstable; urgency=low * Rebuilt against newer libnet0-dev package (closes: #227213) - updated build dependency on libnet0-dev (>= 1.0.2a-5) * It is not a native package any more (closes: #240148) * Updated standards version to 3.6.1 * NMU with maintainer permission

    2004-01-08 - Steve Kemp <skx@debian.org> libnids (1.18-1) unstable; urgency=high * Fixes security hole allowing arbitary code (CAN-2003-0850) Urgency set to high because of this. (Closes: #226356) * New upstream release. (Closes: #192621) * New maintainer. (Closes: #188171)

    Advertisement
    Advertisement